Bug 438532 - (CVE-2008-1010) CVE-2008-1010 WebKit Arbitrary code execution
CVE-2008-1010 WebKit Arbitrary code execution
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 438537
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 10:37 EDT by Lubomir Kundrak
Modified: 2008-05-03 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-03 22:51:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-21 10:37:16 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1010 to the following vulnerability:

Buffer overflow in WebKit, as used in Apple Safari before 3.1, allows remote attackers to execute arbitrary code via crafted regular expressions in JavaScript.

References:

http://lists.apple.com/archives/security-announce/2008/Mar/msg00000.html
Comment 2 Lubomir Kundrak 2008-03-21 10:41:33 EDT
I created tracking bugs only for devel, as I believe WebKit, though present, is
not used by anything -- is it?
Comment 3 Fedora Update System 2008-04-15 20:41:09 EDT
midori-0.0.17-3.fc7,kazehakase-0.5.4-2.fc7.1,WebKit-1.0.0-0.8.svn31787.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-22 18:35:44 EDT
WebKit-1.0.0-0.8.svn31787.fc8, midori-0.0.17-3.fc8, kazehakase-0.5.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-04-29 17:00:58 EDT
midori-0.0.17-3.fc7, WebKit-1.0.0-0.8.svn31787.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Peter Gordon 2008-05-03 22:51:27 EDT
I believe this has been sufficiently fixed with recent updates (noted by the
Bodhi comments); so closing as ERRATA. Please feel free to re-open this bug with
more details if the issue persists. Thanks.

Note You need to log in before you can comment on or make changes to this bug.